import request from '@/utils/request'

// 查询测试者认证信息列表
export function listTesterInfo(query) {
  return request({
    url: '/tester/TesterInfo/list',
    method: 'get',
    params: query
  })
}

// 查询测试者认证信息详细
export function getTesterInfo(userId) {
  return request({
    url: '/tester/TesterInfo/' + userId,
    method: 'get'
  })
}

// 新增测试者认证信息
export function addTesterInfo(data) {
  return request({
    url: '/tester/TesterInfo',
    method: 'post',
    data: data
  })
}

// 修改测试者认证信息
export function updateTesterInfo(data) {
  return request({
    url: '/tester/TesterInfo',
    method: 'put',
    data: data
  })
}

// 删除测试者认证信息
export function delTesterInfo(userId) {
  return request({
    url: '/tester/TesterInfo/' + userId,
    method: 'delete'
  })
}

// 导出测试者认证信息
export function exportTesterInfo(query) {
  return request({
    url: '/tester/TesterInfo/export',
    method: 'get',
    params: query
  })
}